Subject: [ipfix] LFAP MIB

From: [email-masked]
Date: Tue, 03 Sep 2002 12:45:22 -0400

I forgot to submit the LFAP MIB with the other LFAP
specifications. Since it is referenced in the advocate document
I've attached it here. It should be on the ietf web page shortly.

Paul

 INTERNET-DRAFT             Expires: March 2003            INTERNET-DRAFT

 Network Working Group                                        P. Calato
 Request for Comments:                                      M. MacFaden
 Category: Informational                        Riverstone Networks Inc
 Obsoletes: RFC 2124                                     September 2002
 Category: Informational

                     Light-weight Flow Accounting Protocol MIB

                  <draft-riverstone-lfap-MIB-00.txt>

 Status of this Memo

    This document is an Internet-Draft and is in full conformance with
    all provisions of Section 10 of [RFC 2026]. Internet-Drafts are
    working documents of the Internet Engineering Task Force (IETF),
    its areas, and its working groups. Note that other groups may also
    distribute working documents as Internet-Drafts.

    Internet-Drafts are draft documents valid for a maximum of six
    Months and may be updated, replaced, or obsoleted by other
    documents at any time. It is inappropriate to use Internet-Drafts
    as reference material or to cite them other than as "work in
    progress."

    The list of current Internet-Drafts can be accessed at
    http://www.ietf.org/ietf/1id-abstracts.txt

    The list of Internet-Draft Shadow Directories can be accessed at
    http://www.ietf.org/shadow.html

    Distribution of this document is unlimited.

 Copyright Notice

    Copyright (C) The Internet Society (2001). All Rights Reserved.

 Abstract

    This document provides a description of MIB module that accompanies
    the LFAP Specifications [1][2].

 Calato                     Informational                        [Page 1]

 INTERNET-DRAFT               LFAP MIB                        August 2002

                            Table of Contents

 1. MIB MODULE ........................................................3
 2. REFERENCES .......................................................29
 3. AUTHOR'S ADDRESS .................................................29
 4. FULL COPYRIGHT STATEMENT .........................................29

 Calato                         Informational                     [Page 2]

 INTERNET-DRAFT               LFAP MIB                        August 2002

 1. MIB Module

 #condInclude "rfc1155.inc"
 #condInclude "smiv2.inc"
 #condInclude "rfc2851.inc"
 #condInclude "rfc2571.inc"
 #include "mibs/rstn/91/rstone-smi-mib.txt"

 RIVERSTONE-LFAP-MIB DEFINITIONS ::= BEGIN

 IMPORTS
     MODULE-IDENTITY, OBJECT-TYPE, NOTIFICATION-TYPE, Integer32,
     TimeTicks, Counter32, Counter64, Gauge32
         FROM SNMPv2-SMI
     MODULE-COMPLIANCE, OBJECT-GROUP, NOTIFICATION-GROUP
    FROM SNMPv2-CONF
     InetAddressType, InetAddress
         FROM INET-ADDRESS-MIB
     TEXTUAL-CONVENTION, RowStatus, TruthValue
         FROM SNMPv2-TC
     SnmpAdminString
         FROM SNMP-FRAMEWORK-MIB
     riverstoneMibs
         froM RIVERSTONE-SMI-MIB

 rsLfapMIB MODULE-IDENTITY
     LAST-UPDATED "200208290000Z"
     ORGANIZATION "Riverstone Networks, Inc"
     CONTACT-INFO
             "Riverstone Networks, Inc
              5200 Great America Parkway
              Santa Clara CA USA 95054
              PHONE:+1 408.878.6500
              EMAIL: [email-masked]
              WEB: http://www.riverstonenet.com"

     DESCRIPTION
    "This MIB module defines the management plane for
         the Lightweight Flow Accounting Protocol as defined in
         draft-riverstone-lfap-01.txt for devices implementing a
         Connection Control Entity (CCE).

         A FAS mib module will provide a management view of the Flow
         Accounting Server (FAS).

         This mib module is organized into three sections as follows:
    1. CCE Diagnostics
         2. CCE Configuration
    3. CCE Protocol Monitoring Statistics

 Calato                         Informational                     [Page 3]

 INTERNET-DRAFT               LFAP MIB                        August 2002

    Copyright (C) Riverstone Networks, Inc 2001, 2002."

     REVISION     "200208290000Z"
     DESCRIPTION
    "Updated to support LFAPv5 draft #1. Changes include adding
 reference
          clauses and improved descriptions to match terms as found
          in the protocol specification. Added new required counters
 and
          made three counters obsolete."

     REVISION     "200106150000Z"
     DESCRIPTION
    "Indicate rsLfapServerStaticLastChanged,
 rsLfapStatsSessionChangedAt
    and rsLfapStatsLostAt are not supported in LFAPv4 in
    rsLfapAgentCompliance."

     REVISION     "200106080000Z"
     DESCRIPTION
    "Add these objects MsgsUnknownTx, DropsInTxQueueWhenUp,
    MsgsInRxQueue, InvalidMsgsRx, MsgsUnknownRx into the StatsTable.
    Rename QueueDrops to DropsInTxQueue, LostPackets to TxLostPackets,
    LostOctets to TxLostOctets, QueuePeak to InTxQueuePeak. Changed
    the descriptions of the textual conventions and many of the
    objects. Rename ServerStatsTable to StatsTable."

     REVISION     "200105070000Z"
     DESCRIPTION
    "Change the object identity of the traps to be v1 compliant.
    Change the previous revision comments. Make
    rsLfapActiveServer a scalar. Rename rsLfapStaticServerTable
    to rsLfapServerStaticTable. The objects in that table have
    also been renamed appropriately."

     REVISION     "200105010000Z"
     DESCRIPTION
    "Move the scalars under rsLfapPerMon to a new table.
    rsLfapStatsTable. Add comformance. Reorganize tree. Rename
    some object identifiers."

     REVISION     "200103030000Z"
     DESCRIPTION
    "Add both send and receive counters, add new counter for any
    unknown message types, clarify what lost timestamp counters
    and make MIB module support both implementation at CCE and FAS"

     REVISION     "200102110000Z"
     DESCRIPTION

 Calato                         Informational                     [Page 4]

 INTERNET-DRAFT               LFAP MIB                        August 2002

    "Initial version of of Riverstone Flow Accounting MIB module
    for LFAPv4."
     ::= { riverstoneMibs 19 }

 rsLfapMIBObjects  OBJECT IDENTIFIER ::= { rsLfapMIB 1 }
 rsLfapAgentState  OBJECT IDENTIFIER ::= { rsLfapMIBObjects 1 }
 rsLfapAgentCfg    OBJECT IDENTIFIER ::= { rsLfapMIBObjects 2 }
 rsLfapServerCfg      OBJECT IDENTIFIER ::= { rsLfapMIBObjects 3 }
 rsLfapStats    OBJECT IDENTIFIER ::= { rsLfapMIBObjects 4 }
 rsLfapDiag     OBJECT IDENTIFIER ::= { rsLfapMIBObjects 5 }

 --
 -- Textual conventions
 --

 RSLfapErrorCode ::= TEXTUAL-CONVENTION
     STATUS       current
     DESCRIPTION
    "This represents the general error states the CCE will report."
     SYNTAX INTEGER {
        unknown(1),
        errorInConfig(2),
        resourceExhausted(3),
        errorNoServer(4)
     }

 RsLfapServerInst ::= TEXTUAL-CONVENTION
     STATUS       current
     DESCRIPTION
    "This number represents an external LFAP server (FAS) in the
    list of LFAP servers configured on the CCE. If the value is 0,
    then no FAS is indicated. While the base specification does not
         define a hard maximum limit of configured FAS addresses, this
 object
         defines one."
     SYNTAX Integer32 (1..32 | 0)

 RsTaskPriority  ::= TEXTUAL-CONVENTION
     STATUS       current
     DESCRIPTION
    "This represents the relative priority of the CCE
    task relative to other tasks which share a common CPU resource."
     SYNTAX INTEGER {
        high(1),
        medium(2),
        low(3)
     }

 RSOperState ::= TEXTUAL-CONVENTION
     STATUS       current

 Calato                         Informational                     [Page 5]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     DESCRIPTION
    "This represents the operational state of the CCE will report.
          Where no specific state below applies, the CCE may report
 lfapUnknown(1).
          lfapNormal(2) represents the CCE is in a valid state as
 defined
          in section 6.4 State Diagrams for CCE. Should the CCE enter
 any
          of the paths defined in (A) through (E), then it should
 report
          lfapError(5). lfapTest(3) should be used when CCE is running
          self diagnostics. lfapDegraded(4) should not be used."
     SYNTAX INTEGER {
        lfapUnknown(1),
        lfapNormal(2),
        lfapTest(3),
        lfapDegraded(4),  -- obsolete
        lfapError(5)
     }

 --
 -- 1. CCE Diagostics Section
 --

 rsLfapCapabilities OBJECT-TYPE
     SYNTAX      BITS {
        rsLfapV4(0),
        rsLfapV5(1)
     }
     MAX-ACCESS  read-only
     STATUS      current
     DESCRIPTION
         "The protocol versions supported in this CCE implementation."
     ::= { rsLfapAgentState 1 }

 rsLfapAdminState OBJECT-TYPE
     SYNTAX       TruthValue
     MAX-ACCESS   read-write
     STATUS       current
     DESCRIPTION
    "The intended administrative status of CCE. When set, the
    value true will start the CCE and false will stop
    the CCE. See rsLfapOperState for actual status"
     ::= { rsLfapAgentState 2 }

 rsLfapOperState OBJECT-TYPE
     SYNTAX       RSOperState
     MAX-ACCESS   read-only
     STATUS       current

 Calato                         Informational                     [Page 6]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     DESCRIPTION
    "The operational state of the CCE. See rsLfapAdminState as well."
     REFERENCE "6.4 State Diagrams, CCE State Machine for Connection
 Setup"
     ::= { rsLfapAgentState 3 }

 rsLfapLastError OBJECT-TYPE
     SYNTAX       RSLfapErrorCode
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "Current error status detected by the CCE."
     REFERENCE "6.4 State Diagrams, CCE State Machine for Connection
 Setup"
     ::= { rsLfapAgentState 4 }

 rsLfapLastErrorReason OBJECT-TYPE
     SYNTAX       SnmpAdminString
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "Current error reason detected by the CCE.
    This string is suitable for display to an operator."
     ::= { rsLfapAgentState 5 }

 rsLfapActiveServer  OBJECT-TYPE
     SYNTAX       RsLfapServerInst
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This indicates which FAS is currently connected to the CCE."
     REFERENCE "4.1 FAS IP Address IE"
     ::= { rsLfapAgentState 6 }

 rsRunLfapSelfTest  OBJECT-TYPE
     SYNTAX        TruthValue
     MAX-ACCESS    read-write
     STATUS        current
     DESCRIPTION
    "When set to true, CCE performs self diagsnostic of accounting
    subsystem. Requires object rsLfapAdminState to be set to false for
 set
         to succeed. Upon completion, rsLfapLastError will indicate
 test results and
         rsLfapLastErrorReason may contain any additional information
 to report."
     ::= { rsLfapDiag 1 }

 --

 Calato                         Informational                     [Page 7]

 INTERNET-DRAFT               LFAP MIB                        August 2002

 -- 2. CCE Configuration Section
 --

 rsLfapPollInterval OBJECT-TYPE
     SYNTAX       Integer32 (1..1440)
     UNITS        "minutes"
     MAX-ACCESS   read-write
     STATUS       current
     DESCRIPTION
    "The rate to send flow setup/termination accounting information to
 the FAS.
          This value persists across system restarts."
     REFERENCE "None, presently not defined in draft #01 spec."
     DEFVAL { 15 }
     ::= { rsLfapAgentCfg 1 }

 rsLfapBatchSize OBJECT-TYPE
     SYNTAX       Integer32 (1..2000)
     UNITS        "records"
     MAX-ACCESS   read-write
     STATUS       current
     DESCRIPTION
    "The number of records sent per batch to the FAS.
          This value persists across system restarts."
     REFERENCE "None, presently not defined in draft #01 spec."
     DEFVAL { 32 }
     ::= { rsLfapAgentCfg 2 }

 rsLfapBatchInterval OBJECT-TYPE
     SYNTAX       Integer32 (1..2000)
     UNITS        "seconds"
     MAX-ACCESS    read-write
     STATUS       current
     DESCRIPTION
    "The time in seconds to send flow-create and flow-delete
    information to the FAS server.
         This value persists across system restarts."
     REFERENCE "None, presently not defined in draft #01 spec."
     DEFVAL { 1 }
     ::= { rsLfapAgentCfg 3 }

 rsLfapLostContactInterval OBJECT-TYPE
     SYNTAX       Integer32 (20..2000)
     UNITS        "seconds"
     MAX-ACCESS   read-write
     STATUS       current
     DESCRIPTION
    "Amount of time to wait before considering the TCP
    connection lost.

 Calato                         Informational                     [Page 8]

 INTERNET-DRAFT               LFAP MIB                        August 2002

         This value persists across system restarts."
     REFERENCE "None, presently not defined in draft #01 spec."
     DEFVAL { 60 }
     ::= { rsLfapAgentCfg 4 }

 rsLfapServerRetryInterval OBJECT-TYPE
     SYNTAX       Integer32 (1..2000)
     UNITS        "seconds"
     MAX-ACCESS   read-write
     STATUS       current
     DESCRIPTION
    "The rate at which to retry a connection to a FAS."
     REFERENCE "None, presently not defined in draft #01 spec."
     DEFVAL { 60 }
     ::= { rsLfapAgentCfg 5 }

 rsLfapMaxTxQueueSize OBJECT-TYPE
     SYNTAX       Integer32 (100..2000000)
     UNITS        "message count"
     MAX-ACCESS   read-write
     STATUS       current
     DESCRIPTION
    "Number of messages that can be queued for transmit before
    messages are dropped.
         This value persists across system restarts."
     REFERENCE "None, presently not defined in draft #01 spec."
     DEFVAL { 50000 }
     ::= { rsLfapAgentCfg 6 }

 rsLfapTaskPriority OBJECT-TYPE
     SYNTAX       RsTaskPriority
     UNITS        "seconds"
     MAX-ACCESS   read-write
     STATUS       current
     DESCRIPTION
    "Used as a hint to the task scheduler on the CCE in scheduling the
    CCE relative to other tasks on the CCE.
         This value persists across system restarts."
     REFERENCE "None, presently not defined in draft #01 spec."
     ::= { rsLfapAgentCfg 7 }

 -- CCE list of FAS servers to report to

 rsLfapServerStaticLastChanged  OBJECT-TYPE
     SYNTAX      TimeTicks
     MAX-ACCESS  read-only
     STATUS      current
     DESCRIPTION
    "The value of sysUpTime at the time of the last change

 Calato                         Informational                     [Page 9]

 INTERNET-DRAFT               LFAP MIB                        August 2002

    to any object in rsLfapServerStaticTable is made."
     ::= { rsLfapServerCfg 2 }

 rsLfapServerStaticTable  OBJECT-TYPE
     SYNTAX      SEQUENCE OF RsLfapServerStaticEntry
     MAX-ACCESS  not-accessible
     STATUS      current
     DESCRIPTION
    "This table is used to define which  FAS server(s) the CCE
     will connect to when the operational state of CCE is
 lfapNormal(2)."
     REFERENCE "4.1 FAS IP Address IE"
     ::= { rsLfapServerCfg 3 }

 rsLfapServerStaticEntry OBJECT-TYPE
     SYNTAX      RsLfapServerStaticEntry
     MAX-ACCESS  not-accessible
     STATUS      current
     DESCRIPTION
    "Each entry would represent the configuration of an
    external FAS on the CCE. Rows added to this table
    persist across system restarts."
     INDEX   { rsLfapServerStaticIndex }

     ::= { rsLfapServerStaticTable 1 }

 RsLfapServerStaticEntry  ::= SEQUENCE {
     rsLfapServerStaticIndex      RsLfapServerInst,
     rsLfapServerStaticAddressType   InetAddressType,
     rsLfapServerStaticAddress    InetAddress,
     rsLfapServerStaticStatus     RowStatus
 }

 rsLfapServerStaticIndex  OBJECT-TYPE
     SYNTAX      RsLfapServerInst
     MAX-ACCESS  not-accessible
     STATUS      current
     DESCRIPTION
    "A unique value to index each LFAP server instance defined
    in this table. "
     ::= { rsLfapServerStaticEntry 1 }

 rsLfapServerStaticAddressType  OBJECT-TYPE
     SYNTAX      InetAddressType
     MAX-ACCESS  read-create
     STATUS      current
     DESCRIPTION
    "The type of address found in rsLfapServerStaticAddress. This value
          may not be modified if the rsLfapServerStaticStatus is
 active(1)."

 Calato                         Informational                    [Page 10]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     ::= { rsLfapServerStaticEntry 2 }

 rsLfapServerStaticAddress  OBJECT-TYPE
     SYNTAX      InetAddress
     MAX-ACCESS  read-create
     STATUS      current
     DESCRIPTION
    "The IPv4/6 address of a system acting as a FAS. This should no be
          a domain or hostnames but a valid IPv4 or IPv6 unicast
 address.
          This value may not be modified if the
 rsLfapServerStaticStatus is active(1)."
     ::= { rsLfapServerStaticEntry 3 }

 rsLfapServerStaticStatus  OBJECT-TYPE
     SYNTAX      RowStatus
     MAX-ACCESS  read-create
     STATUS      current
     DESCRIPTION
    "Install, modify, and delete rows in this table using this object.
 To modify
          a row, set this object to notInService(2)."
     ::= { rsLfapServerStaticEntry 4 }

 --
 -- 3. CCE Protocol Monitoring Statistics
 --

 rsLfapStatsTable  OBJECT-TYPE
     SYNTAX      SEQUENCE OF RsLfapStatsEntry
     MAX-ACCESS  not-accessible
     STATUS      current
     DESCRIPTION
    "This table contains one row per FAS server. The protocol spec
 allows
          for only one set of counters for all FAS servers. If an
 implementation
          does not provide per FAS statistics, then this table only
 contains one
          row for the current server being used."
     REFERENCE "8.1 Common Statistics, 8.2 CCE Statistics"
     ::= { rsLfapStats 1 }

 rsLfapStatsEntry OBJECT-TYPE
     SYNTAX      RsLfapStatsEntry
     MAX-ACCESS  not-accessible
     STATUS      current
     DESCRIPTION

 Calato                         Informational                    [Page 11]

 INTERNET-DRAFT               LFAP MIB                        August 2002

    "On the CCE, each entry contains LFAP statistics collected
    by the CCE relating to a FAS. Each entry is indexed
    by the FAS server index (rsLfapServerStaticIndex)."
     INDEX   { rsLfapServerStaticIndex }

     ::= { rsLfapStatsTable 1 }

 RsLfapStatsEntry  ::= SEQUENCE {
     --
     -- Connection statistics
     --
     rsLfapStatsSessionUp            TruthValue,
     rsLfapStatsSessionChangedAt     TimeTicks,
     rsLfapStatsTcpConnects    Counter32,
     rsLfapStatsTcpConnectFails      Counter32,

     --
     -- Protocol Statistics
     --
     rsLfapStatsTxVRs       Counter32,
     rsLfapStatsTxVRAs         Counter32,
     rsLfapStatsTxFARs         Counter32,
     rsLfapStatsTxFUNs         Counter32,
     rsLfapStatsTxARAs         Counter32,
     rsLfapStatsTxARs       Counter32,

     rsLfapStatsMsgsInTxQueue     Integer32,
     rsLfapStatsDropsInTxQueue    Counter32,
     rsLfapStatsDropsInTxQueueWhenUp Counter32,

     rsLfapStatsRxVRs       Counter32,
     rsLfapStatsRxVRAs         Counter32,
     rsLfapStatsRxFARs         Counter32,
     rsLfapStatsRxFUNs         Counter32,
     rsLfapStatsRxARs       Counter32,
     rsLfapStatsRxARAs         Counter32,

     rsLfapStatsMsgsInRxQueue     Integer32,
     rsLfapStatsInvalidMsgsRx     Counter32,
     rsLfapStatsMsgsUnknownRx     Counter32,

     --
     -- Lost Accounting Information
     --
     rsLfapStatsTxLostPackets     Counter64,
     rsLfapStatsTxLostOctets      Counter64,
     rsLfapStatsLostAt         TimeTicks,

     --
     -- Micro Flow Statistics

 Calato                         Informational                    [Page 12]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     --
     rsLfapStatsActiveFlows    Counter32,
     rsLfapStatsFlowRate       Gauge32,

     --
     -- Peak
     --
     rsLfapStatsActiveFlowsPeak      Gauge32,
     rsLfapStatsMsgsInTxQueuePeak          Gauge32,
     rsLfapStatsFlowsPeakTime     TimeTicks,

     --
     -- additional LFAPv5 protocol stats
     --
     rsLfapVersionMismatchErrors         Counter32,
     rsLfapSessionRxFERs                 Counter32, -- Session
 Establishments Accepted
     rsLfapStatsRxCRNs         Counter32,
     rsLfapLostContacts                  Counter32,
     rsLfapTotalPackets                  Counter32,
     rsLfapTotalBytes                    Counter64,
     rsLfapProtocolViolations            Counter32
 }

 --
 -- Connection statistics
 --

 rsLfapStatsSessionUp  OBJECT-TYPE
     SYNTAX       TruthValue
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "The current state of the TCP connection between the
    CCE on the CCE and an external server (FAS)
    identified by rsLfapServerStaticIndex. If a connection
    from the CCE is established with the FAS ie it has reached Send
 State,
         then its value would be true. Otherwise it would be false."
     REFERENCE "6.4 State Diagrams, CCE State Machine for Connection
 Setup"
     ::= { rsLfapStatsEntry 1 }

 rsLfapStatsSessionChangedAt  OBJECT-TYPE
     SYNTAX       TimeTicks
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "The value of sysUpTime when rsLfapStatsSessionUp
    last changed state."

 Calato                         Informational                    [Page 13]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     ::= { rsLfapStatsEntry 2 }

 rsLfapStatsTcpConnects  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This is the number of successul TCP connections the LFAP
    agent made to a FAS."
     ::= { rsLfapStatsEntry 3 }

 rsLfapStatsTcpConnectFails  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This is the number of failed TCP connections attempts the CCE
    made to connect to a FAS."
     ::= { rsLfapStatsEntry 4 }

 --
 -- Protocol Statistics
 --

 rsLfapStatsTxVRs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of Version Request(VR)
    sent by the CCE to a FAS."
     ::= { rsLfapStatsEntry 5 }

 rsLfapStatsTxVRAs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of Version Request
    Acknowledge (VRA) sent."
     ::= { rsLfapStatsEntry 6 }

 rsLfapStatsTxFARs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of Flow Activation Records
    (FAR) sent. TBD: specify ref clause."
     ::= { rsLfapStatsEntry 7 }

 Calato                         Informational                    [Page 14]

 INTERNET-DRAFT               LFAP MIB                        August 2002

 rsLfapStatsTxFUNs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of Flow Update Notification
    (FUN) sent."
     ::= { rsLfapStatsEntry 8 }

 rsLfapStatsTxARs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of Administrative
    Request(AR) sent."
     ::= { rsLfapStatsEntry 9 }

 rsLfapStatsTxARAs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of Administrative Request
    Acknowledge (ARA) sent."
     ::= { rsLfapStatsEntry 10 }

 rsLfapStatsMsgsInTxQueue  OBJECT-TYPE
     SYNTAX  Integer32
     MAX-ACCESS read-only
     STATUS  current
     DESCRIPTION
    "This object contains the number of messages currently in
    the send queue."
     ::= { rsLfapStatsEntry 11 }

 rsLfapStatsDropsInTxQueue  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object represents the number of messages dropped by the
    CCE in the transmitting queue for this FAS."
     ::= { rsLfapStatsEntry 12 }

 rsLfapStatsDropsInTxQueueWhenUp  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current

 Calato                         Informational                    [Page 15]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     DESCRIPTION
    "This object represents the number of messages dropped by the
    CCE in the send queue for this FAS while the connection
    between the CCE and the FAS is up."
     ::= { rsLfapStatsEntry 13 }

 rsLfapStatsRxVRs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of VRs received."
     ::= { rsLfapStatsEntry 14 }

 rsLfapStatsRxVRAs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of VRAs received."
     ::= { rsLfapStatsEntry 15 }

 rsLfapStatsRxFARs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of FARs received."
     ::= { rsLfapStatsEntry 16 }

 rsLfapStatsRxFUNs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of FUNs received."
     ::= { rsLfapStatsEntry 17 }

 rsLfapStatsRxARs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of ARs received by the CCE
    from a FAS."
     ::= { rsLfapStatsEntry 18 }

 rsLfapStatsRxARAs  OBJECT-TYPE
     SYNTAX       Counter32

 Calato                         Informational                    [Page 16]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of ARAs received."
     ::= { rsLfapStatsEntry 19 }

 rsLfapStatsMsgsInRxQueue  OBJECT-TYPE
     SYNTAX  Integer32
     MAX-ACCESS read-only
     STATUS  current
     DESCRIPTION
    "This object contains the number of messages currently in
    the receive queue."
     ::= { rsLfapStatsEntry 20 }

 rsLfapStatsInvalidMsgsRx  OBJECT-TYPE
     SYNTAX  Counter32
     MAX-ACCESS read-only
     STATUS  current
     DESCRIPTION
    "This object is the sum of corrupt and erroneous messages
    received."
     ::= { rsLfapStatsEntry 21 }

 rsLfapStatsMsgsUnknownRx  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "This object contains the number of unknown LFAP message types
    received."
     ::= { rsLfapStatsEntry 22 }

 rsLfapStatsTxLostPackets  OBJECT-TYPE
     SYNTAX       Counter64
     MAX-ACCESS   read-only
     STATUS       obsolete
     DESCRIPTION
         "The count of packets not accounted for and thus not
    recorded by the LFAP server."
     ::= { rsLfapStatsEntry 23 }

 rsLfapStatsTxLostOctets  OBJECT-TYPE
     SYNTAX       Counter64
     MAX-ACCESS   read-only
     STATUS       obsolete
     DESCRIPTION
         "The count of octets not accounted for and thus not
    recorded by the LFAP server."
     ::= { rsLfapStatsEntry 24 }

 Calato                         Informational                    [Page 17]

 INTERNET-DRAFT               LFAP MIB                        August 2002

 rsLfapStatsLostAt  OBJECT-TYPE
     SYNTAX       TimeTicks
     MAX-ACCESS   read-only
     STATUS       obsolete
     DESCRIPTION
    "On the CCE, the sysUpTime when the LFAP agent last lost
    trasmitted FAR/FUN messages. On the FAS, it would be the last
    time when the server lost received FAR/FUN messages."
     ::= { rsLfapStatsEntry 25 }

 --
 -- Flow Statistics
 --

 rsLfapStatsActiveFlows  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "Number of active flows being tracked per FAS."
     ::= { rsLfapStatsEntry 26 }

 rsLfapStatsFlowRate  OBJECT-TYPE
     SYNTAX       Gauge32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "Number of flows being setup per second. This value is
    calculated as an exponentially decaying average over
    30 second intervals"
     ::= { rsLfapStatsEntry 27 }

 rsLfapStatsActiveFlowsPeak  OBJECT-TYPE
     SYNTAX       Gauge32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "High water mark for number of active flows being tracked by LFAP."
     ::= { rsLfapStatsEntry 28 }

 rsLfapStatsMsgsInTxQueuePeak  OBJECT-TYPE
     SYNTAX       Gauge32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "High water mark for queue depth."
     ::= { rsLfapStatsEntry 29 }

 rsLfapStatsFlowsPeakTime  OBJECT-TYPE

 Calato                         Informational                    [Page 18]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     SYNTAX       TimeTicks
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
    "The value of sysUpTime when max number of flows being reported
    on was reached."
     ::= { rsLfapStatsEntry 30 }

 rsLfapVersionMismatchErrors  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
         "Number of times CCE or FAS did not agree on LFAP version."
      ::= { rsLfapStatsEntry 31 }

 rsLfapSessionRxFERs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
         "Number of times either a CCE or FAS reached the Send State as
         indicated in the state diagrams. In summary, a CCE receives a
 FER
         message or a FAS sends an FER message."
      ::= { rsLfapStatsEntry 32 }

 rsLfapStatsRxCRNs  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
         "Number of times a CCE has received a CRN message or a FAS has
 sent
         a CRN message."
      ::= { rsLfapStatsEntry 33 }

 rsLfapLostContacts  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
         "Number of times a CCE or FAS lost the session while in the
 Send
         State. For a CCE, this includes Message timeout, Lost TCP
 session,
         or KA timeout. For a FAS, it includes Message timeout and Lost
 TCP."
      ::= { rsLfapStatsEntry 34 }

 Calato                         Informational                    [Page 19]

 INTERNET-DRAFT               LFAP MIB                        August 2002

 rsLfapTotalPackets  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
         "Number of packets excluding written to TCP session since TCP
 session
         was opened."
      ::= { rsLfapStatsEntry 35 }

 rsLfapTotalBytes  OBJECT-TYPE
     SYNTAX       Counter64
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
         "Number of bytes excluding written to TCP session since TCP
 session
         was opened. FAS keeps this counter per CCE."
      ::= { rsLfapStatsEntry 36 }

 rsLfapProtocolViolations  OBJECT-TYPE
     SYNTAX       Counter32
     MAX-ACCESS   read-only
     STATUS       current
     DESCRIPTION
         "A count of valid messages received but considered invalid in
 the
         current CCE or FAS state."
      ::= { rsLfapStatsEntry 38 }

 -- scalars

 rsLfapEstablishSessFailures  OBJECT-TYPE
     SYNTAX      Counter32
     MAX-ACCESS  read-only
     STATUS      current
     DESCRIPTION
    "A count of the number of times the CCE attempted to connect to
 each
          of the FAS it was configured with in succession without
 success. It
          includes cases where a DR with an alternate FAS was also
 tried."
     REFERENCE "8.2 CCE Statistics - Failed to establish a session to
 any server"
     ::= { rsLfapStats 2 }

 rsLfapDroppedMessages  OBJECT-TYPE
     SYNTAX      Counter32

 Calato                         Informational                    [Page 20]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     MAX-ACCESS  read-only
     STATUS      current
     DESCRIPTION
        "A count of the number of FAR or FUN messages the CCE could not
 be
         transmitted to the FAS while not in Send State."
     REFERENCE "8.2 CCE Statistics - Number of bytes not accounted for
 due to dropped messages"
     ::= { rsLfapStats 3 }

 rsLfapDroppedBytes OBJECT-TYPE
     SYNTAX      Counter64
     MAX-ACCESS  read-only
     STATUS      current
     DESCRIPTION
     "Number of bytes not accounted for due to dropped messages
     A count of the number of bytes accounted for in FUN messages being
     dropped that CCE could not transmit to the FAS while in Send
 State."
     REFERENCE "8.2 CCE Statistics - Number of packets not accounted
 for due to dropped messages"
     ::= { rsLfapStats 4 }

 rsLfapLastDroppedBytes OBJECT-TYPE
     SYNTAX      TimeTicks
     MAX-ACCESS  read-only
     STATUS      current
     DESCRIPTION
     "Value of sysUpTime when last message whas dropped while not in
 Send State."
     REFERENCE "8.2 CCE Statistics - Time of last dropped message"
     ::= { rsLfapStats 5 }

 --
 -- CCE Notifications
 --

 rsLfapMIBEvents      OBJECT IDENTIFIER ::= { rsLfapMIB 2 }
 rsLfapMIBEventsPrefix   OBJECT IDENTIFIER ::= { rsLfapMIBEvents 0 }

 rsLfapNoServer NOTIFICATION-TYPE
     OBJECTS {
         rsLfapStatsSessionChangedAt,
    rsLfapStatsTcpConnectFails
     }
     STATUS  current
     DESCRIPTION
    "The CCE has tried to connect to all servers in
 rsLfapStatsServerStaticTable
          and has failed."

 Calato                         Informational                    [Page 21]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     ::= { rsLfapMIBEventsPrefix 1 }

 rsLfapLostMessage NOTIFICATION-TYPE
     OBJECTS {
         rsLfapStatsSessionChangedAt,
    rsLfapStatsLostAt,
    rsLfapStatsSessionUp
     }
     STATUS  current
     DESCRIPTION
    "When a CCE first drops messages due to no connected
    server, send this event. No more additional events are sent until
    the value of rsLfapStatsSessionChangedAt value has
    changed."
     ::= { rsLfapMIBEventsPrefix 2 }

 rsLfapQueueFull NOTIFICATION-TYPE
     OBJECTS {
         rsLfapStatsDropsInTxQueue,
    rsLfapMaxTxQueueSize,
    rsLfapStatsSessionUp
     }
     STATUS  current
     DESCRIPTION
    "Accounting data may be lost when the CCE's message queue reaches
    capacity as defined by rsLfapMaxTxQueueSize.
         rsLfapStatsSessionUp can indicate if this is happening due to
         no FAS to send to currently.
    A second case is where the rate of inserts into the
    queue exceeds the rate at which the FAS is processing
    them. This can be caused by flow control of the underlying
    TCP session. Send only one rsLfapStatsQueueFull
    notification per every 1000 dropped messages or after a change
         in the value of rsLfapStatsSessionUp for the current FAS."
     ::= { rsLfapMIBEventsPrefix 3 }

 -- Conformance Information

 rsLfapConformance OBJECT IDENTIFIER ::= { rsLfapMIB 3 }
 rsLfapCompliances OBJECT IDENTIFIER ::= { rsLfapConformance 1 }
 rsLfapGroups      OBJECT IDENTIFIER ::= { rsLfapConformance 2 }

 -- Compliance Statements

 rsLfapAgentCompliance MODULE-COMPLIANCE
     STATUS  obsolete
     DESCRIPTION
    "This compliance statement for implementing this MIB on

 Calato                         Informational                    [Page 22]

 INTERNET-DRAFT               LFAP MIB                        August 2002

    the CCE. Some objects also do not need to be implemeted
    if the CCE is v4."

     MODULE  -- this module
      MANDATORY-GROUPS {
       rsLfapAgentStateGroup,
       rsLfapAgentCfgGroup,

       rsLfapServerStaticGroup,
       rsLfapStatsGroup
      }

      GROUP rsLfapDiagGroup
      DESCRIPTION
     "The diag object in this group is new. Implementation of this
      group for version 4 is not necessary."

      GROUP rsLfapNotificationGroup
      DESCRIPTION
     "These notifications are new. Implementation of this group for
      version 4 is not necessary."

      OBJECT rsLfapStatsTxVRAs
      MIN-ACCESS   not-accessible
      DESCRIPTION
     "This object is not supported by the CCE on the CCE.
     The CCE would not send a Version Request Acknoledge(VRA) message
     to a FAS."

      OBJECT rsLfapStatsRxVRs
      MIN-ACCESS   not-accessible
      DESCRIPTION
     "This object is not supported by the CCE on the CCE.
     A FAS does not send Version Request(VR) messages to the CCE."

      OBJECT rsLfapStatsRxFARs
      MIN-ACCESS   not-accessible
      DESCRIPTION
     "This object is not supported by the CCE on the CCE. A FAS
     does not send FAR messages to the CCE."

      OBJECT rsLfapStatsRxFUNs
      MIN-ACCESS   not-accessible
      DESCRIPTION
     "This object is not supported by CCE on the CCE. The FAS
     does not send FUN messages to the CCE."

      OBJECT rsLfapServerStaticLastChanged
      MIN-ACCESS   not-accessible
      DESCRIPTION

 Calato                         Informational                    [Page 23]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     "This object is not supported in LFAP v4."

      OBJECT rsLfapStatsSessionChangedAt
      MIN-ACCESS   not-accessible
      DESCRIPTION
     "This object is not supported in LFAP v4."

      OBJECT rsLfapStatsLostAt
      MIN-ACCESS   not-accessible
      DESCRIPTION
     "This object is not supported in LFAP v4."

      OBJECT rsLfapStatsFlowsPeakTime
      MIN-ACCESS   not-accessible
      DESCRIPTION
     "This object is not supported in LFAP v4."

      OBJECT rsLfapStatsFlowRate
      MIN-ACCESS   not-accessible
      DESCRIPTION
     "This object is not supported in LFAP v4."

     ::= { rsLfapCompliances 1 }

 rsLfapV5Compliance MODULE-COMPLIANCE
     STATUS  current
     DESCRIPTION
    "This compliance statement for implementing this MIB module on
    for a v5 CCE."

     MODULE  -- this module
      MANDATORY-GROUPS {
       rsLfapAgentStateGroup,
       rsLfapAgentCfgGroup,
       rsLfapServerStaticGroup,
       rsLfapV5StatsGroup
      }
     ::= { rsLfapCompliances 2 }

 -- object grouping clauses for compliant implementions

 rsLfapAgentStateGroup OBJECT-GROUP
     OBJECTS {
        rsLfapCapabilities,
        rsLfapAdminState,
        rsLfapOperState,
        rsLfapLastError,
        rsLfapLastErrorReason,
        rsLfapActiveServer

 Calato                         Informational                    [Page 24]

 INTERNET-DRAFT               LFAP MIB                        August 2002

     }
     STATUS  current
     DESCRIPTION
    "The collection of objects used to represent the desired and
     actual operational state of the CCE."
     ::= { rsLfapGroups 1 }

 rsLfapAgentCfgGroup OBJECT-GROUP
     OBJECTS {
        rsLfapPollInterval,
        rsLfapBatchSize,
        rsLfapBatchInterval,
        rsLfapLostContactInterval,
        rsLfapServerRetryInterval,
        rsLfapMaxTxQueueSize,
        rsLfapTaskPriority
     }
     STATUS  current
     DESCRIPTION
    "The collection of objects used to represent the configuration
     of LFAP protocol in a given CCE."
     ::= { rsLfapGroups 2 }

 rsLfapServerStaticGroup OBJECT-GROUP
     OBJECTS {
        rsLfapServerStaticLastChanged,
        rsLfapServerStaticAddressType,
        rsLfapServerStaticAddress,
        rsLfapServerStaticStatus
     }

     STATUS  current
     DESCRIPTION
    "The collection of objects used to represent the configuration of
     the address of FAS in CCE."
     ::= { rsLfapGroups 3 }

 rsLfapStatsGroup OBJECT-GROUP
     OBJECTS {
        rsLfapStatsSessionUp,
        rsLfapStatsSessionChangedAt,
        rsLfapStatsTcpConnects,
        rsLfapStatsTcpConnectFails,

        rsLfapStatsTxVRs,
        rsLfapStatsTxVRAs,
        rsLfapStatsTxFARs,
        rsLfapStatsTxFUNs,
        rsLfapStatsTxARs,
        rsLfapStatsTxARAs,

 Calato                         Informational                    [Page 25]

 INTERNET-DRAFT               LFAP MIB                        August 2002

        rsLfapStatsMsgsInTxQueue,
        rsLfapStatsDropsInTxQueue,
        rsLfapStatsDropsInTxQueueWhenUp,

        rsLfapStatsRxVRs,
        rsLfapStatsRxVRAs,
        rsLfapStatsRxFARs,
        rsLfapStatsRxFUNs,
        rsLfapStatsRxARs,
        rsLfapStatsRxARAs,

        rsLfapStatsMsgsInRxQueue,
        rsLfapStatsInvalidMsgsRx,
        rsLfapStatsMsgsUnknownRx,

        rsLfapStatsTxLostPackets,
        rsLfapStatsTxLostOctets,
        rsLfapStatsLostAt,

        rsLfapStatsActiveFlows,
        rsLfapStatsFlowRate,

        rsLfapStatsActiveFlowsPeak,
        rsLfapStatsMsgsInTxQueuePeak,
        rsLfapStatsFlowsPeakTime
     }
     STATUS  obsolete
     DESCRIPTION
    "The collection of objects for LFAPv4/CCE"
     ::= { rsLfapGroups 4 }

 rsLfapDiagGroup OBJECT-GROUP
     OBJECTS {
        rsRunLfapSelfTest
     }

     STATUS  current
     DESCRIPTION
    "The collection of objects used to represent CCE/LFAP diagnostics."
     ::= { rsLfapGroups 5 }

 rsLfapNotificationGroup NOTIFICATION-GROUP
     NOTIFICATIONS {
        rsLfapNoServer,
        rsLfapLostMessage,
        rsLfapQueueFull
     }
     STATUS  current
     DESCRIPTION

 Calato                         Informational                    [Page 26]

 INTERNET-DRAFT               LFAP MIB                        August 2002

    "The collection of notifications for LFAP MIB."
     ::= { rsLfapGroups 6 }

 rsLfapV5StatsGroup OBJECT-GROUP
     OBJECTS {
        rsLfapStatsSessionUp,
        rsLfapStatsSessionChangedAt,
        rsLfapStatsTcpConnects,
        rsLfapStatsTcpConnectFails,

        rsLfapStatsTxVRs,
        rsLfapStatsTxVRAs,
        rsLfapStatsTxFARs,
        rsLfapStatsTxFUNs,
        rsLfapStatsTxARs,
        rsLfapStatsTxARAs,

        rsLfapStatsMsgsInTxQueue,
        rsLfapStatsDropsInTxQueue,
        rsLfapStatsDropsInTxQueueWhenUp,

        rsLfapStatsRxVRs,
        rsLfapStatsRxVRAs,
        rsLfapStatsRxFARs,
        rsLfapStatsRxFUNs,
        rsLfapStatsRxARs,
        rsLfapStatsRxARAs,

        rsLfapStatsMsgsInRxQueue,
        rsLfapStatsInvalidMsgsRx,
        rsLfapStatsMsgsUnknownRx,

        rsLfapStatsActiveFlows,
        rsLfapStatsFlowRate,

        rsLfapStatsActiveFlowsPeak,
        rsLfapStatsMsgsInTxQueuePeak,
        rsLfapStatsFlowsPeakTime,
        rsLfapVersionMismatchErrors,
        rsLfapSessionRxFERs,
        rsLfapStatsRxCRNs,
        rsLfapLostContacts,
        rsLfapTotalPackets,
        rsLfapTotalBytes,
        rsLfapProtocolViolations,

        rsLfapEstablishSessFailures,
        rsLfapDroppedMessages,
        rsLfapDroppedBytes,

 Calato                         Informational                    [Page 27]

 INTERNET-DRAFT               LFAP MIB                        August 2002

        rsLfapLastDroppedBytes
     }

     STATUS  current
     DESCRIPTION
    "The collection of objects used to represent the statistics of
     a CCE for Version 5 of LFAP."
     ::= { rsLfapGroups 7 }

 END

 Calato                         Informational                    [Page 28]

 INTERNET-DRAFT               LFAP MIB                        August 2002

 2. References
 [1]    "Light-weight Flow Accounting Protocol Specification Version
           5.0" draft-riverstone-lfap-01.txt, June 2002

 [2]    "LFAP Data Definition Specification",
         draft-riverstone-lfap-data-01.txt. June 2002

 3. Author's Address
     Paul Calato
     Phone:  +1 (603) 738-4206
     Email:  [email-masked]

     Mike MacFaden
     Phone:  +1 (408) 878-6525
     Email:  [email-masked]

     Riverstone Networks, Inc. is located at:
     5200 Great America Parkway
     Santa Clara, CA 95054
     USA

 4. Full Copyright Statement

    Copyright (C) The Internet Society (2001). All Rights Reserved.

    This document and translations of it may be copied and furnished to
    others, and derivative works that comment on or otherwise explain
    it or assist in its implementation may be prepared, copied,
    published and distributed, in whole or in part, without restriction
    of any kind, provided that the above copyright notice and this
    paragraph are included on all such copies and derivative works.
    However, this document itself may not be modified in any way, such
    as by removing the copyright notice or references to the Internet
    Society or other Internet organizations, except as needed for the
    purpose of developing Internet standards in which case the
    procedures for copyrights defined in the Internet Standards process
    must be followed, or as required to translate it into languages
    other than English.

    The limited permissions granted above are perpetual and will not be
    revoked by the Internet Society or its successors or assigns.

    This document and the information contained herein is provided on
    an "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET
    ENGINEERING TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR
    IMPLIED, INCLUDIN   BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF
    THE INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED
    WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

 Calato                         Informational                    [Page 29]

---

From: Randy Bush <[email-masked]>
Date: Tue, 03 Sep 2002 12:14:44 -0700

has the internet-drafts publication process broken?  why are people
posting entire drafts to a mailing list?  please stop!

randy, on a slow ppp dialup overseas

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: [email-masked]
Date: Tue, 03 Sep 2002 15:16:40 -0400

The deadline was 9/2 for drafts to go to the eval team.
As usual, most if us waited til the last minute.

Sorry about that.

Paul